-- ############################################################################
-- SCRIPT NAME: action_2_1_3.sql
-- ----------------------------------------------------------------------------
-- PURPOSE:
-- ----------------------------------------------------------------------------
-- USAGE:
-- ----------------------------------------------------------------------------
-- AUTHOR:      Pete Finnigan http://www.petefinnigan.com
-- MAINTAINER:  Pete Finnigan, updates will be posted on the authors website
--              at http://www.petefinnigan.com/sans/orastepcode.htm 
-- ----------------------------------------------------------------------------
-- COPYRIGHT:	This program is provided as part of the SANS Institutes book,
--              Oracle Security step-by-step ( A Survival guide for Oracle
--              security) and is (C) copyright 2002, The SANS Institute. No 
--              copying or forwarding allowed except with written permission. 
-- ----------------------------------------------------------------------------
-- VERSION:     1.0 - Release Version.
-- ----------------------------------------------------------------------------
-- HISTORY:     Date      Ver  Author     Description
--              ====      ===  ========== =====================================
--              Nov 2002  1.0  P.Finnigan Release Issue.
--
-- ############################################################################

alter profile default
limit failed_login_attempts 5
password_life_time 60
password_reuse_max 20
password_reuse_time unlimited
password_lock_time 1
password_grace_time 3;
--
select profile,resource_name,limit
from dba_profiles
where resource_type='PASSWORD';
/
