#!/usr/bin/bash
## ############################################################################
## SCRIPT NAME: action_2_2_1.bash
## ----------------------------------------------------------------------------
## PURPOSE:
## ----------------------------------------------------------------------------
## USAGE:
## ----------------------------------------------------------------------------
## AUTHOR:      Pete Finnigan http://www.petefinnigan.com
## MAINTAINER:  Pete Finnigan, updates will be posted on the authors website
##              at http://www.petefinnigan.com/sans/orastepcode.htm 
## ----------------------------------------------------------------------------
## COPYRIGHT:	This program is provided as part of the SANS Institutes book,
##              Oracle Security step-by-step ( A Survival guide for Oracle
##              security) and is (C) copyright 2002, The SANS Institute. No 
##              copying or forwarding allowed except with written permission. 
## ----------------------------------------------------------------------------
## VERSION:     1.0 - Release Version.
## ----------------------------------------------------------------------------
## HISTORY:     Date      Ver  Author     Description
##              ====      ===  ========== =====================================
##              Nov 2002  1.0  P.Finnigan Release Issue.
##
## ############################################################################

#!/usr/bin/bash
rm -f sql.out
cat user.txt | while read username password
do
	echo "connect $username/$password"
	echo "select user||' has a default password of ($password)' from sys.dual;"
done > sql.out
echo "exit" >> sql.out
cat sql.out | sqlplus -s /nolog | grep "has a default" >>s.lis
