-- ############################################################################
-- SCRIPT NAME: action_3_13_4.sql
-- ----------------------------------------------------------------------------
-- PURPOSE:
-- ----------------------------------------------------------------------------
-- USAGE:
-- ----------------------------------------------------------------------------
-- AUTHOR:      Pete Finnigan http://www.petefinnigan.com
-- MAINTAINER:  Pete Finnigan, updates will be posted on the authors website
--              at http://www.petefinnigan.com/sans/orastepcode.htm 
-- ----------------------------------------------------------------------------
-- COPYRIGHT:	This program is provided as part of the SANS Institutes book,
--              Oracle Security step-by-step ( A Survival guide for Oracle
--              security) and is (C) copyright 2002, The SANS Institute. No 
--              copying or forwarding allowed except with written permission. 
-- ----------------------------------------------------------------------------
-- VERSION:     1.0 - Release Version.
-- ----------------------------------------------------------------------------
-- HISTORY:     Date      Ver  Author     Description
--              ====      ===  ========== =====================================
--              Nov 2002  1.0  P.Finnigan Release Issue.
--
-- ############################################################################

select SYSTEM,SYSTEM,privilege
from	dba_sys_privs
where grantee=PUBLIC
union
select  OBJECT,table_name,privilege
from dba_tab_privs
where grantee=PUBLIC
union
select COLUMN,table_name,privilege
from dba_col_privs
where grantee=PUBLIC
union
select ROLE,ROLE,granted_role
from dba_role_privs
where grantee=PUBLIC;
