-- ############################################################################
-- SCRIPT NAME: action_3_14_6.sql
-- ----------------------------------------------------------------------------
-- PURPOSE:
-- ----------------------------------------------------------------------------
-- USAGE:
-- ----------------------------------------------------------------------------
-- AUTHOR:      Pete Finnigan http://www.petefinnigan.com
-- MAINTAINER:  Pete Finnigan, updates will be posted on the authors website
--              at http://www.petefinnigan.com/sans/orastepcode.htm 
-- ----------------------------------------------------------------------------
-- COPYRIGHT:	This program is provided as part of the SANS Institutes book,
--              Oracle Security step-by-step ( A Survival guide for Oracle
--              security) and is (C) copyright 2002, The SANS Institute. No 
--              copying or forwarding allowed except with written permission. 
-- ----------------------------------------------------------------------------
-- VERSION:     1.0 - Release Version.
-- ----------------------------------------------------------------------------
-- HISTORY:     Date      Ver  Author     Description
--              ====      ===  ========== =====================================
--              Nov 2002  1.0  P.Finnigan Release Issue.
--
-- ############################################################################

col profile for a12
col resource_name for a30
col limit for a30

select profile,resource_name,limit
from dba_profiles
where resource_name in ('CPU_PER_SESSION',
   'PRIVATE_SGA',
   'LOGICAL_READS_PER_SESSION',
   'SESSIONS_PER_USER',
   'CONNECT_TIME',
   'IDLE_TIME')
order by profile
/
