-- ############################################################################
-- SCRIPT NAME: action_3_20_2.sql
-- ----------------------------------------------------------------------------
-- PURPOSE:
-- ----------------------------------------------------------------------------
-- USAGE:
-- ----------------------------------------------------------------------------
-- AUTHOR:      Pete Finnigan http://www.petefinnigan.com
-- MAINTAINER:  Pete Finnigan, updates will be posted on the authors website
--              at http://www.petefinnigan.com/sans/orastepcode.htm 
-- ----------------------------------------------------------------------------
-- COPYRIGHT:	This program is provided as part of the SANS Institutes book,
--              Oracle Security step-by-step ( A Survival guide for Oracle
--              security) and is (C) copyright 2002, The SANS Institute. No 
--              copying or forwarding allowed except with written permission. 
-- ----------------------------------------------------------------------------
-- VERSION:     1.0 - Release Version.
-- ----------------------------------------------------------------------------
-- HISTORY:     Date      Ver  Author     Description
--              ====      ===  ========== =====================================
--              Nov 2002  1.0  P.Finnigan Release Issue.
--
-- ############################################################################

select grantee,table_name,privilege
from dba_tab_privs p
where owner='SYS'
and grantee<>'PUBLIC'
and (exists (select 'x'
from dba_tables t
where t.table_name=p.table_name)
or exists (select 'x'
from dba_views v
where v.view_name=p.table_name))
/
--
grant select on sys.v_$log to {username};
grant select on sys.v_$rollstat to {username};
grant select on sys.v_$rollname to {username};
grant select on sys.v_$parameter  to {username};
grant select on sys.v_$latch to {username};
grant select on sys.v_$sqlarea to {username};
grant select on sys.v_$sqltext to {username};
grant select on sys.v_$sysstat to {username};
grant select on sys.v_$dispatcher to {username};
grant select on sys.v_$lock to {username};
grant select on sys.v_$locked_object to {username};
grant select on sys.v_$session to {username};
grant select on sys.v_$session_longops to {username};
grant select on sys.v_$process to {username};
grant select on sys.v_$sqltext to {username};
grant select on sys.dba_data_files to {username};
grant select on sys.dba_segments to {username};
grant select on sys.dba_tablespaces to {username};
-- optional
-- grant select on sys.v_$sgastat to {username};
-- grant select on sys.v_$sql to {username};
-- grant select on sys.v_$sqltext_with_newlines to {username};
-- grant select on sys.v_$sql_bind_data to {username};
-- grant select on sys.v_$sql_bind_metadata to {username};
-- grant select on sys.v_$sql_cursor to {username};
-- grant select on sys.v_$sql_shared_cursor to {username};
-- grant select on sys.v_$sql_shared_memory to {username};
