-- ############################################################################
-- SCRIPT NAME: action_3_8_7.sql
-- ----------------------------------------------------------------------------
-- PURPOSE:
-- ----------------------------------------------------------------------------
-- USAGE:
-- ----------------------------------------------------------------------------
-- AUTHOR:      Pete Finnigan http://www.petefinnigan.com
-- MAINTAINER:  Pete Finnigan, updates will be posted on the authors website
--              at http://www.petefinnigan.com/sans/orastepcode.htm 
-- ----------------------------------------------------------------------------
-- COPYRIGHT:	This program is provided as part of the SANS Institutes book,
--              Oracle Security step-by-step ( A Survival guide for Oracle
--              security) and is (C) copyright 2002, The SANS Institute. No 
--              copying or forwarding allowed except with written permission. 
-- ----------------------------------------------------------------------------
-- VERSION:     1.0 - Release Version.
-- ----------------------------------------------------------------------------
-- HISTORY:     Date      Ver  Author     Description
--              ====      ===  ========== =====================================
--              Nov 2002  1.0  P.Finnigan Release Issue.
--
-- ############################################################################

select distinct owner
from dba_objects;
--
select tablespace_name
from dba_tablespaces;
--
select count(*),owner,table_space_name,segment_type
from dba_segments
where tablespace_name in(TABLE_SPACE_1,TABLE_SPACE_2,..)
group by owner,tablespace_name,segment_type;
