-- ############################################################################
-- SCRIPT NAME: action_6_2_1.sql
-- ----------------------------------------------------------------------------
-- PURPOSE:
-- ----------------------------------------------------------------------------
-- USAGE:
-- ----------------------------------------------------------------------------
-- AUTHOR:      Pete Finnigan http://www.petefinnigan.com
-- MAINTAINER:  Pete Finnigan, updates will be posted on the authors website
--              at http://www.petefinnigan.com/sans/orastepcode.htm 
-- ----------------------------------------------------------------------------
-- COPYRIGHT:	This program is provided as part of the SANS Institutes book,
--              Oracle Security step-by-step ( A Survival guide for Oracle
--              security) and is (C) copyright 2002, The SANS Institute. No 
--              copying or forwarding allowed except with written permission. 
-- ----------------------------------------------------------------------------
-- VERSION:     1.0 - Release Version.
-- ----------------------------------------------------------------------------
-- HISTORY:     Date      Ver  Author     Description
--              ====      ===  ========== =====================================
--              Nov 2002  1.0  P.Finnigan Release Issue.
--
-- ############################################################################

select 	lo.group# group, 
	fi.member filename, 
	lo.bytes/1024 log_size
from	v$log lo, 
	v$logfile fi
where lo.group# = fi.group#;
