-- ############################################################################
-- SCRIPT NAME: action_2_1_1.sql
-- ----------------------------------------------------------------------------
-- PURPOSE:
-- ----------------------------------------------------------------------------
-- USAGE:
-- ----------------------------------------------------------------------------
-- AUTHOR:      Pete Finnigan http://www.petefinnigan.com
-- MAINTAINER:  Pete Finnigan, updates will be posted on the authors website
--              at http://www.petefinnigan.com/sans/orastepcode.htm 
-- ----------------------------------------------------------------------------
-- COPYRIGHT:	This program is provided as part of the SANS Institutes book,
--              Oracle Security step-by-step ( A Survival guide for Oracle
--              security) and is (C) copyright 2002, The SANS Institute. No 
--              copying or forwarding allowed except with written permission. 
-- ----------------------------------------------------------------------------
-- VERSION:     1.0 - Release Version.
-- ----------------------------------------------------------------------------
-- HISTORY:     Date      Ver  Author     Description
--              ====      ===  ========== =====================================
--              Nov 2002  1.0  P.Finnigan Release Issue.
--
-- ############################################################################
set lines 132
col username for a10
col unam for a8
col status for a8
col spid for a9
col sid for 9999
col serial# for 999999
col program for a25
col terminal for a20

select  proc.username,
        sess.username unam,
        sess.status,
        proc.spid,
        sess.sid,
        sess.serial#,
        proc.program,
        proc.terminal
from    v$process proc,
        v$session sess
where   proc.addr=sess.paddr
/     
