-- ############################################################################
-- SCRIPT NAME: action_2_1_4.sql
-- ----------------------------------------------------------------------------
-- PURPOSE:
-- ----------------------------------------------------------------------------
-- USAGE:
-- ----------------------------------------------------------------------------
-- AUTHOR:      Pete Finnigan http://www.petefinnigan.com
-- MAINTAINER:  Pete Finnigan, updates will be posted on the authors website
--              at http://www.petefinnigan.com/sans/orastepcode.htm 
-- ----------------------------------------------------------------------------
-- COPYRIGHT:	This program is provided as part of the SANS Institutes book,
--              Oracle Security step-by-step ( A Survival guide for Oracle
--              security) and is (C) copyright 2002, The SANS Institute. No 
--              copying or forwarding allowed except with written permission. 
-- ----------------------------------------------------------------------------
-- VERSION:     1.0 - Release Version.
-- ----------------------------------------------------------------------------
-- HISTORY:     Date      Ver  Author     Description
--              ====      ===  ========== =====================================
--              Nov 2002  1.0  P.Finnigan Release Issue.
--
-- ############################################################################

select profile,limit
from dba_profiles
where resource_name='SESSIONS_PER_USER';
--
alter profile default
limit sessions_per_user 1;
--
select profile,limit
from dba_profiles
where resource_name='SESSIONS_PER_USER';
--
create profile limit_users
limit sessions_per_user 1;
--
select profile,limit
from dba_profiles
where resource_name='SESSIONS_PER_USER';
--
create user pete identified by pete profile limit_users;
