-- ############################################################################
-- SCRIPT NAME: action_2_3_1.sql
-- ----------------------------------------------------------------------------
-- PURPOSE:
-- ----------------------------------------------------------------------------
-- USAGE:
-- ----------------------------------------------------------------------------
-- AUTHOR:      Pete Finnigan http://www.petefinnigan.com
-- MAINTAINER:  Pete Finnigan, updates will be posted on the authors website
--              at http://www.petefinnigan.com/sans/orastepcode.htm 
-- ----------------------------------------------------------------------------
-- COPYRIGHT:	This program is provided as part of the SANS Institutes book,
--              Oracle Security step-by-step ( A Survival guide for Oracle
--              security) and is (C) copyright 2002, The SANS Institute. No 
--              copying or forwarding allowed except with written permission. 
-- ----------------------------------------------------------------------------
-- VERSION:     1.0 - Release Version.
-- ----------------------------------------------------------------------------
-- HISTORY:     Date      Ver  Author     Description
--              ====      ===  ========== =====================================
--              Nov 2002  1.0  P.Finnigan Release Issue.
--
-- ############################################################################

set head off
set feed off
set verify off
set termout off


spool use.run  

col user_id newline
col show_it newline

select  'spool use.lis' from sys.dual;
select  'connect '||username||'/'||username user_id,
        'select ''connected as ''||user||'' with password ''||user from sys.dual;' show_it
from    dba_users;
select  'spool off' from sys.dual;

spool off

set head on
set feed on
set verify on
set termout on
@@use.run
