-- ############################################################################
-- SCRIPT NAME: action_2_6_1.sql
-- ----------------------------------------------------------------------------
-- PURPOSE:
-- ----------------------------------------------------------------------------
-- USAGE:
-- ----------------------------------------------------------------------------
-- AUTHOR:      Pete Finnigan http://www.petefinnigan.com
-- MAINTAINER:  Pete Finnigan, updates will be posted on the authors website
--              at http://www.petefinnigan.com/sans/orastepcode.htm 
-- ----------------------------------------------------------------------------
-- COPYRIGHT:	This program is provided as part of the SANS Institutes book,
--              Oracle Security step-by-step ( A Survival guide for Oracle
--              security) and is (C) copyright 2002, The SANS Institute. No 
--              copying or forwarding allowed except with written permission. 
-- ----------------------------------------------------------------------------
-- VERSION:     1.0 - Release Version.
-- ----------------------------------------------------------------------------
-- HISTORY:     Date      Ver  Author     Description
--              ====      ===  ========== =====================================
--              Nov 2002  1.0  P.Finnigan Release Issue.
--
-- ############################################################################

connect system/<password>
--
col object for a30
col typ for a30
col owner for a10
select object_name object,
	object_type typ,
	owner owner
from dba_objects
where owner<>'SYS'
and ((object_name like '%USER%'
and object_name not like 'USER_%')  8  or object_name like '%USR%'
or object_name like '%PASSWD%'
or object_name like '%PWD%'
or object_name like '%PASS%')
and object_type in('VIEW','TABLE')
union
select table_name object,
	column_name type,
	owner owner
from	dba_tab_columns
where owner<>'SYS'
and (column_name like '%USER%'
or column_name like '%USR%'
or column_name like '%PASSWD%'
or column_name like '%PWD%'
r column_name like '%PASS%')
/
